List Host Machines
curl --request GET \
--url https://console.vast.ai/api/v0/machines/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/machines/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/machines/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"machines": [
{
"id": 123,
"machine_id": 123,
"hostname": "<string>",
"geolocation": "<string>",
"timeout": 123,
"num_gpus": 123,
"gpu_name": "<string>",
"gpu_ram": 123,
"cpu_name": "<string>",
"cpu_ram": 123,
"cpu_cores": 123,
"listed": true,
"listed_gpu_cost": 123,
"listed_storage_cost": 123,
"listed_volume_cost": 123,
"listed_inet_up_cost": 123,
"listed_inet_down_cost": 123,
"min_bid_price": 123,
"gpu_occupancy": "<string>",
"disk_space": 123,
"inet_up": 123,
"inet_down": 123,
"earn_hour": 123,
"earn_day": 123,
"current_rentals_running": 123,
"current_rentals_resident": 123,
"reliability2": 123,
"public_ipaddr": "<string>",
"driver_version": "<string>",
"cuda_max_good": "<string>",
"hosting_type": 123
}
]
}Machines
List Host Machines
Returns all machines owned by the authenticated host, with aggregated GPU, CPU, disk, network, job stats, and listing information.
GET
/
api
/
v0
/
machines
/
List Host Machines
Authorizations
API key must be provided in the Authorization header
Query Parameters
The ID of the user whose machines are being requested.
Response
200 - application/json
Returns {machines: [...]} with full machine details including GPU occupancy, pricing, job stats, and maintenance info
List of machine detail objects
Show child attributes
Show child attributes
⌘I